# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: Math/Math.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0fMath/Math.proto\x12\x04math\"\x1b\n\x06SumRes\x12\x11\n\tSummation\x18\x01 \x01(\x03\"\x16\n\x06SumArg\x12\x0c\n\x04Nums\x18\x01 \x03(\x03\"!\n\x0c\x46\x61\x63torialRes\x12\x11\n\tFactorial\x18\x01 \x01(\x03\"\x19\n\x0c\x46\x61\x63torialArg\x12\t\n\x01N\x18\x01 \x01(\x03\x32\x61\n\x07MathSvc\x12!\n\x03Sum\x12\x0c.math.SumArg\x1a\x0c.math.SumRes\x12\x33\n\tFactorial\x12\x12.math.FactorialArg\x1a\x12.math.FactorialResBFZDgitlab.com/Noob-Tech/codebase/grpc-examples/go/api/go_pb/Math;MathPBb\x06proto3')



_SUMRES = DESCRIPTOR.message_types_by_name['SumRes']
_SUMARG = DESCRIPTOR.message_types_by_name['SumArg']
_FACTORIALRES = DESCRIPTOR.message_types_by_name['FactorialRes']
_FACTORIALARG = DESCRIPTOR.message_types_by_name['FactorialArg']
SumRes = _reflection.GeneratedProtocolMessageType('SumRes', (_message.Message,), {
  'DESCRIPTOR' : _SUMRES,
  '__module__' : 'Math.Math_pb2'
  # @@protoc_insertion_point(class_scope:math.SumRes)
  })
_sym_db.RegisterMessage(SumRes)

SumArg = _reflection.GeneratedProtocolMessageType('SumArg', (_message.Message,), {
  'DESCRIPTOR' : _SUMARG,
  '__module__' : 'Math.Math_pb2'
  # @@protoc_insertion_point(class_scope:math.SumArg)
  })
_sym_db.RegisterMessage(SumArg)

FactorialRes = _reflection.GeneratedProtocolMessageType('FactorialRes', (_message.Message,), {
  'DESCRIPTOR' : _FACTORIALRES,
  '__module__' : 'Math.Math_pb2'
  # @@protoc_insertion_point(class_scope:math.FactorialRes)
  })
_sym_db.RegisterMessage(FactorialRes)

FactorialArg = _reflection.GeneratedProtocolMessageType('FactorialArg', (_message.Message,), {
  'DESCRIPTOR' : _FACTORIALARG,
  '__module__' : 'Math.Math_pb2'
  # @@protoc_insertion_point(class_scope:math.FactorialArg)
  })
_sym_db.RegisterMessage(FactorialArg)

_MATHSVC = DESCRIPTOR.services_by_name['MathSvc']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  DESCRIPTOR._serialized_options = b'ZDgitlab.com/Noob-Tech/codebase/grpc-examples/go/api/go_pb/Math;MathPB'
  _SUMRES._serialized_start=25
  _SUMRES._serialized_end=52
  _SUMARG._serialized_start=54
  _SUMARG._serialized_end=76
  _FACTORIALRES._serialized_start=78
  _FACTORIALRES._serialized_end=111
  _FACTORIALARG._serialized_start=113
  _FACTORIALARG._serialized_end=138
  _MATHSVC._serialized_start=140
  _MATHSVC._serialized_end=237
# @@protoc_insertion_point(module_scope)
